Package org.eclipse.handly.xtext.ui.editor

## Class HandlyXtextReconciler

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.core.internal.jobs.InternalJob
    - - org.eclipse.core.runtime.jobs.Job
      - - org.eclipse.xtext.ui.editor.reconciler.XtextReconciler
        - - org.eclipse.handly.xtext.ui.editor.HandlyXtextReconciler

- All Implemented Interfaces:
    `java.lang.Comparable<org.eclipse.core.internal.jobs.InternalJob>`, `org.eclipse.core.runtime.IAdaptable`, `org.eclipse.jface.text.ITextViewerLifecycle`, `org.eclipse.jface.text.reconciler.IReconciler`

      public class HandlyXtextReconciler
      extends org.eclipse.xtext.ui.editor.reconciler.XtextReconciler

  Adaptation of `XtextReconciler` for Handly reconciling story.

  Bind this class in place of the default `XtextReconciler` if you have `HandlyXtextDocument` bound:

       public Class<? extends IReconciler> bindIReconciler() {
           return HandlyXtextReconciler.class;
       }

  Restriction:
    This class is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.reconciler.XtextReconciler

      `org.eclipse.xtext.ui.editor.reconciler.XtextReconciler.DocumentListener, org.eclipse.xtext.ui.editor.reconciler.XtextReconciler.InputChangedDocumentEvent, org.eclipse.xtext.ui.editor.reconciler.XtextReconciler.TextInputListener`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.core.runtime.jobs.Job

      `ASYNC_FINISH, BUILD, DECORATE, INTERACTIVE, LONG, NONE, RUNNING, SHORT, SLEEPING, WAITING`

    - ### Fields inherited from class org.eclipse.core.internal.jobs.InternalJob

      `manager`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HandlyXtextReconciler​(com.google.inject.Injector injector)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `forceReconcile()` |
    `org.eclipse.jface.text.reconciler.IReconcilingStrategy` | `getReconcilingStrategy​(java.lang.String contentType)` |
    `void` | `install​(org.eclipse.jface.text.ITextViewer textViewer)` |
    `void` | `setDelay​(int delay)` |
    `void` | `setEditor​(org.eclipse.xtext.ui.editor.XtextEditor editor)` |
    `void` | `setReconcilingStrategy​(org.eclipse.jface.text.reconciler.IReconcilingStrategy strategy)` |
    `boolean` | `shouldSchedule()` |
    `void` | `uninstall()` |

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.reconciler.XtextReconciler

      `belongsTo, getAndResetReplaceRegion, getResourceText, handleInputDocumentChanged, pause, resume, run`

    - ### Methods inherited from class org.eclipse.core.runtime.jobs.Job

      `addJobChangeListener, cancel, canceling, create, create, createSystem, createSystem, done, getJobGroup, getJobManager, getName, getPriority, getProperty, getResult, getRule, getState, getThread, isBlocking, isSystem, isUser, join, join, removeJobChangeListener, schedule, schedule, setJobGroup, setName, setPriority, setProgressGroup, setProperty, setRule, setSystem, setThread, setUser, shouldRun, sleep, toString, wakeUp, wakeUp, yieldRule`

    - ### Methods inherited from class org.eclipse.core.internal.jobs.InternalJob

      `compareTo`

    - ### Methods inherited from class org.eclipse.core.runtime.PlatformObject

      `getAdapter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HandlyXtextReconciler

          @Inject
          public HandlyXtextReconciler​(com.google.inject.Injector injector)

  - ### Method Detail

    - #### install

          public void install​(org.eclipse.jface.text.ITextViewer textViewer)

      Specified by:
        `install` in interface `org.eclipse.jface.text.reconciler.IReconciler`
      Specified by:
        `install` in interface `org.eclipse.jface.text.ITextViewerLifecycle`
      Overrides:
        `install` in class `org.eclipse.xtext.ui.editor.reconciler.XtextReconciler`

    - #### uninstall

          public void uninstall()

      Specified by:
        `uninstall` in interface `org.eclipse.jface.text.reconciler.IReconciler`
      Specified by:
        `uninstall` in interface `org.eclipse.jface.text.ITextViewerLifecycle`
      Overrides:
        `uninstall` in class `org.eclipse.xtext.ui.editor.reconciler.XtextReconciler`

    - #### getReconcilingStrategy

          public org.eclipse.jface.text.reconciler.IReconcilingStrategy getReconcilingStrategy​(java.lang.String contentType)

      Specified by:
        `getReconcilingStrategy` in interface `org.eclipse.jface.text.reconciler.IReconciler`
      Overrides:
        `getReconcilingStrategy` in class `org.eclipse.xtext.ui.editor.reconciler.XtextReconciler`

    - #### setReconcilingStrategy

          public void setReconcilingStrategy​(org.eclipse.jface.text.reconciler.IReconcilingStrategy strategy)

      Overrides:
        `setReconcilingStrategy` in class `org.eclipse.xtext.ui.editor.reconciler.XtextReconciler`

    - #### setEditor

          public void setEditor​(org.eclipse.xtext.ui.editor.XtextEditor editor)

      Overrides:
        `setEditor` in class `org.eclipse.xtext.ui.editor.reconciler.XtextReconciler`

    - #### setDelay

          public void setDelay​(int delay)

      Overrides:
        `setDelay` in class `org.eclipse.xtext.ui.editor.reconciler.XtextReconciler`

    - #### forceReconcile

          public void forceReconcile()

      Overrides:
        `forceReconcile` in class `org.eclipse.xtext.ui.editor.reconciler.XtextReconciler`

    - #### shouldSchedule

          public boolean shouldSchedule()

      Overrides:
        `shouldSchedule` in class `org.eclipse.core.runtime.jobs.Job`